# CairoFontFace::getType

# cairo_font_face_get_type

(PECL cairo >= 0.1.0)

CairoFontFace::getType -- cairo_font_face_get_type — Retrieves the font face type

### Description

Object oriented style (method):

public CairoFontFace::getType ( void ) : int

Procedural style:

cairo_font_face_get_type ( CairoFontFace `$fontface` ) : int

This function returns the type of the backend used to create a font face. See CairoFontType class constants for available types.

### Parameters

This function has no parameters.

### Return Values

A font type that can be any one defined in CairoFontType

### Examples

Example #1 CairoFontFace::getType() example

`<?php
// Creates the font face
$fontface = new CairoToyFontFace('sans-serif');
// Get the font face type
var_dump($fontface->getType());
?>`

The above example will output something similar to:

    int(0)

### See Also

- Classname::Method()